Log in or register to post comments

Model Target - not displaying guide view

May 8, 2019 - 8:27am #1

Hi,

When I play Vuforia Mars Model Target Sample, the guide view appears even if I have an error : the variable parent of DefaultTrackableEventHandler has not been assigned.

On the other hand, when I import my own unitypackage created with MTG from .stp, .obj, .fbx, .dae files, I have, in addition to the previous error : Failed to load data set (when playing) and before this, I have JSON Node is NULL just after importing the package. Also, the image representing the model doesn't appear in the inspector nor in the scene and I don't know why I don't have meshes and models of my model

(captures in attachment)

I am using :

Vuforia 7.0.36

Unity 2017.3.0f3

Any help please?

Thank you,

AttachmentSize
Image icon Capture3.PNG465.21 KB
Image icon Capture4.PNG32.47 KB
Image icon Capture5.PNG16.24 KB
Image icon Capture6.PNG12.63 KB
Image icon Capture7.PNG4.41 KB

Model Target - not displaying guide view

May 14, 2019 - 10:00am #5

Hi,

There is no way to get an oldest version of MTG? I have to work with Unity 2017 because of the headset SDK that I use

Thanks,

Model Target - not displaying guide view

May 10, 2019 - 1:44pm #4

Hello,

The mismatch in versions is the likely explanation for the error.

I highly recommend that you upgrade to a later version of the SDK (by upgrading your Unity Editor version to 2018.3) so that you can take advantage of the latest improvements. Unfortunately, I cannot support you with software that is so old.

Apologies for the inconvenience.

Thanks,

Vuforia Engine Support

Model Target - not displaying guide view

May 10, 2019 - 6:59am #3

Hi,

I am using the version 8.1.8 of MTG. So I have to use an older version? Which version and Where could I find it?

Thanks,

Model Target - not displaying guide view

May 9, 2019 - 1:22pm #2

Hello,

Unfortunately, that Engine SDK release is nearly 1.5 years old.

Which version of the Model Target Generator are you using? We've had to break backward compatibility in the distant past, so I'm wondering if you're using a more recent version of the MTG and thus the device database is failing to load in an older SDK version.

Thanks,

Vuforia Engine Support

Log in or register to post comments